package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Schema(description = "管理后台 - 车辆类型新增/修改 Request VO")
@Data
public class RobotModelSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15571")
    private Long id;

    @Schema(description = "车辆类型", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "车辆类型不能为空")
    private String robotModelNumber;

    @Schema(description = "偏移量")
    private String robotOffset;

}