package cn.iocoder.yudao.module.system.enums.robot;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 放货类型
 */
@Getter
@AllArgsConstructor
public enum ReleaseTakeEnum {

    TO_LOCATION(1, "库位"),
    TO_LANE(2, "线库"),
    TO_AREA(3, "区域");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 说明
     */
    private final String msg;
}
